{% extends 'base.html.twig' %}

{% block body %}
    <div class="row pt-3">
        <h2 class="col text-center text-md-left">{{ category.name }}</h2>
    </div>
    <div class="row">
        {% for i in category.products %}
            <div class="col-3">
                <div class="card" style="width: 100%;">
                    <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                        <div class="carousel-inner">
                            {% for img in i.images %}
                                <div class="carousel-item {% if loop.index == 1 %}active{% endif %}">
                                    <img class="d-block w-100" src="{{ asset('uploads/images/' ~ img.link) }}"
                                         alt="First slide">
                                </div>
                            {% endfor %}
                        </div>
                        <a class="carousel-control-prev" href="#carouselExampleControls" role="button"
                           data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Пред.</span>
                        </a>
                        <a class="carousel-control-next" href="#carouselExampleControls" role="button"
                           data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">След.</span>
                        </a>
                    </div>
                    <div class="card-body">
                        <h5 class="card-title">{{ i.name }}</h5>
                        {% if i.description %}
                            <p class="card-text">{{ i.description | slice(0, 100) ~ '...' }}</p>
                        {% endif %}
                        <a href="{{ path('show', {'id': i.id}) }}"
                           class="btn btn-primary w-100">Просмотр</a>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}